open All Channels
seplocked EVE General Discussion
blankseplocked Shader Model 3 (SM3)
 
This thread is older than 90 days and has been locked due to inactivity.


 
Author Topic

Penelope Pitst0p
Posted - 2011.06.24 23:33:00 - [1]
 

Hey Dev's

I'm getting the following error since I updated to the latest patch..

Shader Model 3 (SM3) support is needed to run this game. Click OK to close the game client.

Help please !!!
I have less than a day of skills before it runs out...

Cheers
BoD

Molly Michon
Posted - 2011.06.24 23:36:00 - [2]
 

If you had bothered to look, you will have found that answer to this problem has already been asked and answered to death. You need a new graphics card.

Tallena Curie
Gallente
New Eden Scientific Association
Posted - 2011.06.24 23:36:00 - [3]
 

You need to buy a new video card that supports shader 3.0. You can probably pick one up for about $50.

Penelope Pitst0p
Posted - 2011.06.24 23:36:00 - [4]
 


OverlordY
Posted - 2011.06.24 23:37:00 - [5]
 

Yup, video card upgrade time, 7+ years old tech is no good

Penelope Pitst0p
Posted - 2011.06.24 23:40:00 - [6]
 

And who's gonna pay for that ?

I have 3 months sub left and no way to play... Thanks a lot CCP

Do me a favour and start off a long skill !!

Ezra Vouland
Lords 0f Justice
Fidelas Constans
Posted - 2011.06.24 23:44:00 - [7]
 

lol? welcome to technology from 2004?

Keylah
Caldari
Posted - 2011.06.24 23:44:00 - [8]
 

It was stated 6 months ago in a blog that they were removing support for shader2.0
Also, they sent out a mail stating the same, along with some advice etc on how to get a new card supporting SM3
cheap.

-K

Daelorn
Posted - 2011.06.24 23:44:00 - [9]
 

Originally by: Penelope Pitst0p
And who's gonna pay for that ?

I have 3 months sub left and no way to play... Thanks a lot CCP

Do me a favour and start off a long skill !!


Don't blame CCP for this. Its been known for months that SM3 would be needed.

The game has to progress and can't wait for every straggler.

Obsidian Dagger
Nitrus Nine
Posted - 2011.06.24 23:46:00 - [10]
 

You have an exiting opportunity here!

The choice

A new, budget graphics card, OR!! A SHINY MONOCAL for your avatar!!1!111

Penelope Pitst0p
Posted - 2011.06.24 23:54:00 - [11]
 

Originally by: Daelorn
Originally by: Penelope Pitst0p
And who's gonna pay for that ?

I have 3 months sub left and no way to play... Thanks a lot CCP

Do me a favour and start off a long skill !!


Don't blame CCP for this. Its been known for months that SM3 would be needed.

The game has to progress and can't wait for every straggler.


Why can't I ?? I've been happily playing for the last 5 years or so and because I cant afford a new graphics card (budget or otherwise) I can't play anymore



Daelorn
Posted - 2011.06.26 19:41:00 - [12]
 

Originally by: Penelope Pitst0p
Originally by: Daelorn
Originally by: Penelope Pitst0p
And who's gonna pay for that ?

I have 3 months sub left and no way to play... Thanks a lot CCP

Do me a favour and start off a long skill !!


Don't blame CCP for this. Its been known for months that SM3 would be needed.

The game has to progress and can't wait for every straggler.


Why can't I ?? I've been happily playing for the last 5 years or so and because I cant afford a new graphics card (budget or otherwise) I can't play anymore





Well then I suppose you need to quit and start saving the $15/month and save up for a new GPU.

You really can't blame CCP for progressing the game. They knew they were going to **** a few people off, but unfortunately you are the minority and we can't all wait for you and the few others.

Bayushi Akemi
Posted - 2011.06.26 19:54:00 - [13]
 

I've heard you may be able to emulate SM3 with software. I'm not 100% sure on this though. GOOGLE!

Arec Bardwin
Posted - 2011.06.26 19:57:00 - [14]
 

swift shader 3.0

you need lots of ram and a powerful cpu

V Riccio
Posted - 2011.06.27 20:05:00 - [15]
 

For those running mac and have the shader 3.0 problems go here http://store.vmware.com/store?Action=DisplayPage&Env=BASE&Locale=en_US&SiteID=vmware&id=ProductDetailsPage&productID=168242500&resid=TgjhdAoBAlUAADZmmHYAAAA1&rests=1309204852465#


this will help

Tirreal
Posted - 2011.07.01 11:11:00 - [16]
 

Originally by: Daelorn
Originally by: Penelope Pitst0p
Originally by: Daelorn
Originally by: Penelope Pitst0p
And who's gonna pay for that ?

I have 3 months sub left and no way to play... Thanks a lot CCP

Do me a favour and start off a long skill !!


Don't blame CCP for this. Its been known for months that SM3 would be needed.

The game has to progress and can't wait for every straggler.



Why can't I ?? I've been happily playing for the last 5 years or so and because I cant afford a new graphics card (budget or otherwise) I can't play anymore





Well then I suppose you need to quit and start saving the $15/month and save up for a new GPU.

You really can't blame CCP for progressing the game. They knew they were going to **** a few people off, but unfortunately you are the minority and we can't all wait for you and the few others.



So how do I upgrade my GPU on my laptop computer hmmmm? I cannot afford to buy a new computer, most people are still in a recession in this world and are lucky to be able to afford new clothes let alone a new computer! I understand the need for game like eve to make it look all sparkly and new to draw more customers, at the same time they are loosing those that have been playing for meany years by not offering a why to play with reduced graphics. or even just having a way to update skill tree through eve gate so once a graphics card or new computer is purchased, no time is lost in skill training.

Narisa Bithon
Caldari
The Motley Crew Reborn
Posted - 2011.07.01 11:13:00 - [17]
 

Edited by: Narisa Bithon on 01/07/2011 11:27:27
Originally by: Tallena Curie
You need to buy a new video card that supports shader 4.0. You can probably pick one up for about $50.


bold text = fixed

future proof yourself

ps: noone sell shader model 3.0 only cards anymore...hell shader model 4.0 has been around for a few years now.

to OP

a budget nVidia Card that will easily run eve for years to come GeForce GT 520 (Fermi) 1GB price $52.99 on new egg

a better performing nVidia card that has a lil more oomph GeForce GTX 460 SE (Fermi) 1GB price $129.99 on new egg

a pretty good Nvidia card GeForce GTX 480 (Fermi) 1536MB price $299.99


Zagdul
Gallente
Clan Shadow Wolf
Fatal Ascension
Posted - 2011.07.01 11:20:00 - [18]
 

I'll give you a 7/10 for getting some good responses out of this.


 

This thread is older than 90 days and has been locked due to inactivity.


 


The new forums are live

Please adjust your bookmarks to https://forums.eveonline.com

These forums are archived and read-only